summaryrefslogtreecommitdiff
path: root/scripts
diff options
context:
space:
mode:
authorWaldemar Brodkorb <wbx@openadk.org>2009-11-15 21:05:58 +0100
committerWaldemar Brodkorb <wbx@openadk.org>2009-11-15 21:05:58 +0100
commitdc630f978a2524c0cd13f39c76f1e2d8f84d4baa (patch)
tree2bb754c78b87fbe65a8eec5ceb4e485ac9836903 /scripts
parent75f2ac2312c3b98e94bb98941074fa85aba03841 (diff)
update squid, openssl and tinyproxy to latest upstream version
Diffstat (limited to 'scripts')
-rw-r--r--scripts/scan-pkgs.sh13
1 files changed, 13 insertions, 0 deletions
diff --git a/scripts/scan-pkgs.sh b/scripts/scan-pkgs.sh
index a940f2bb1..c1343ec29 100644
--- a/scripts/scan-pkgs.sh
+++ b/scripts/scan-pkgs.sh
@@ -33,6 +33,12 @@ if [[ -n $ADK_NATIVE ]];then
fi
fi
+if [[ -n $ADK_NATIVE ]];then
+ if [[ -n $ADK_PACKAGE_SQUID ]]; then
+ NEED_GXX="$NEED_GXX squid"
+ fi
+fi
+
if [[ -n $ADK_PACKAGE_ALSA_UTILS ]]; then
NEED_XMLTO="$NEED_XMLTO alsa-utils"
fi
@@ -82,6 +88,13 @@ if [[ -n $NEED_SSLDEV ]]; then
fi
fi
+if [[ -n $NEED_GXX ]]; then
+ if ! which g++ >/dev/null 2>&1; then
+ echo >&2 You need GNU c++ compiler to build $NEED_GXX
+ out=1
+ fi
+fi
+
if [[ -n $NEED_RUBY ]]; then
if ! which ruby >/dev/null 2>&1; then
echo >&2 You need ruby to build $NEED_RUBY